apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  annotations:
    helmcharts.cattle.io/managed-by: helm-controller
  name: hvgblog-vcluster
  namespace: kube-system
spec:
  chart: vcluster
  createNamespace: true
  repo: https://charts.loft.sh
  set:
    integrations.metricsServer.enabled: "true"
    sync.toHost.ingresses.enabled: "true"
    sync.toHost.persistentVolumeClaims.enabled: "true"
  targetNamespace: hvgblog
  valuesContent: |
    controlPlane:
      distro:
        k3s:
          enabled: true
          extraArgs:
          - --tls-san=hvgblog-vcluster.hvg.hu
          image:
            tag: v1.32.1-k3s1
      ingress:
        annotations:
          cert-manager.io/cluster-issuer: cloudflare-cluster-issuer
          ingress.kubernetes.io/force-ssl-redirect: "true"
          kubernetes.io/ingress.class: nginx
          nginx.ingress.kubernetes.io/backend-protocol: HTTPS
          nginx.ingress.kubernetes.io/ssl-redirect: "true"
        enabled: true
        host: hvgblog-vcluster.hvg.hu
        pathType: ImplementationSpecific
        spec:
          tls:
          - hosts:
              - hvgblog-vcluster.hvg.hu
            secretName: tls-vcluster
    exportKubeConfig:
      context: hvgblog-vcluster
    integrations:
      metricsServer:
        enabled: true
    sync:
      toHost:
        ingresses:
          enabled: true
        persistentVolumeClaims:
          enabled: true
  version: 0.26.0
